Subject: [I2nsf] RFC or not RFC in I2NSF?

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 2 Nov 2016 18:42:06 -0000

Hi,

We have a charter action and milestone to decide whether to publish our work as
RFCs or not. The milestone reads:

> WG decides whether to progress adopted drafts for publication as RFCs (use
cases,
> framework, information model, and examination of existing secure communication
> mechanisms) 

We had some (light) conversations on the list and arrived at the following
position, I think. This is your chance to scream if you disagree - otherwise,
this is the email of record documenting our plan.

use cases
draft-ietf-i2nsf-problem-and-use-cases
Pursue publication

framework
draft-ietf-i2nsf-framework
Pursue publication

information model
Not yet clear, but some feeling that we should publish.
Pending adoption and more work.

gap analysis for protocols
draft-ietf-i2nsf-gap-analysis
Do not publish
Keep draft alive for as long as it is useful, then archive

requirements for protocol extensions
Covered as part of draft-ietf-i2nsf-client-facing-interface-req-00 
Pursue publication

examination of existing secure communication mechanisms
Aim to add this to  draft-ietf-i2nsf-client-facing-interface-req-00 
Pursue publication

terminology
draft-ietf-i2nsf-terminology
Pursue publication

Cheers,
Adrian

---

From: Daniel Migault <[email-masked]>
Date: Wed, 2 Nov 2016 20:29:02 -0400

I agree. As the gap analysis draft is not to be published, I would probably
try to integrate some very clarifying text/figure into the problem and use
case draft.

Yours,
Daniel

On Wed, Nov 2, 2016 at 2:42 PM, Adrian Farrel <[email-masked]> wrote:

> _______________________________________________
> I2nsf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2nsf
>

---

From: John Strassner <[email-masked]>
Date: Thu, 3 Nov 2016 05:34:33 +0000

I agree with your recommendations.

Regards,
John

-----Original Message-----
From: I2nsf [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: Wednesday, November 02, 2016 11:42 AM
To: [email-masked]
Cc: 'Kathleen Moriarty' <[email-masked]>
Subject: [I2nsf] RFC or not RFC in I2NSF?

Hi,

cases,
> framework, information model, and examination of existing secure 

We had some (light) conversations on the list and arrived at the following position, I think. This is your chance to scream if you disagree - otherwise, this is the email of record documenting our plan.

use cases

framework

information model

examination of existing secure communication mechanisms Aim to add this to  draft-ietf-i2nsf-client-facing-interface-req-00
Pursue publication

terminology

Cheers,
Adrian

---

From: "Diego R. Lopez" <[email-masked]>
Date: Thu, 3 Nov 2016 08:57:02 +0000

Hi,

I support the proposal.

We will need to have a similar decision about the attestation draft, though I think we the WG can wait till we the authors provide the next version and make a concrete recommendation to be discussed…

Be goode,

On 2 Nov 2016, at 19:42 , Adrian Farrel <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

use cases

framework

information model

terminology

Cheers,
Adrian

_______________________________________________
I2nsf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/i2nsf

--
"Esta vez no fallaremos, Doctor Infierno"

Dr Diego R. Lopez
Telefonica I+D
http://people.tid.es/diego.lopez/

e-mail: [email-masked]
Tel:    +34 913 129 041
Mobile: +34 682 051 091
----------------------------------

---

From: Rakesh Kumar <[email-masked]>
Date: Thu, 3 Nov 2016 15:25:37 +0000

Hi,

It looks good but I hope, we would publish the information model as well, it is the basis for development as different vendors/supplier may build differently capable systems. Here is a quote from RFC3444 (section 3.0).

“An important characteristic of IMs is that they can (and generally
   should) specify relationships between objects.  Organizations may use
   the contents of an IM to delimit the functionality that can be
   included in a DM.”
 
I am curious, whether other IETF WGs such as I2RS are publishing information model.

Regards, 
Rakesh

On 11/2/16, 11:42 AM, "I2nsf on behalf of Adrian Farrel" <[email-masked] on behalf of [email-masked]> wrote:

    Hi,

    cases,

    use cases
    
    framework
    
    information model

    
    
    terminology
    
    Cheers,
    Adrian

---

From: "Susan Hares" <[email-masked]>
Date: Wed, 9 Nov 2016 21:54:01 -0500

John and Adrian:

I'd like to comment on your recommendations.  I agree that the gap analysis
should just be input to other documents.  The gap analysis served its
purpose by pointing us to work that needed to be done.  I'll be glad to keep
it up to date. 

I agree with publication for (use cases:
draft-ietf-i2nsf-problem-and-use-cases), Terminology
(draft-ietf-i2nsf-framework), framework (draft-ietf-i2nsf-framework),
protocol extensions (client-facing), examination of existing secure
communication mechanisms (draft-ietf-i2nsf-client-facing-interface-req-00). 

I think we probably should publish the information model and the data.  Why?
I think information models are useful when you are creating new
functionality.  In many of the NETMOD models that are only yang models, the
models are recasting old netmod work. 
information model.

One heads up to the chairs, the IESG has determined that the I2RS work on
the protocol strawman will be broken into pieces and given to the NETCONF
and NETMOD working group.   Based on that input, I will be uploading 3
drafts (Netconf changes for I2RS, RESTCONF changes for I2RS, and  Yang model
changes for I2RS requirements) that cover the additional technology for I2RS
ephemeral state.   In case you did not know, the pub/sub and notification
drafts have already been submitted to NETCONF.  

However, there is one piece that is not being covered - the communication
with the I2RS/I2NSF agent during DoS attacks.  The I2RS, I2NSF, and DOTS
work shares the need to get a "help me" message out/in to the nodes during
these time periods.   Would it be possible to schedule an interim in
December or January to discuss this topic? 

Sue Hares

-----Original Message-----
From: I2nsf [mailto:[email-masked]] On Behalf Of John Strassner
Sent: Thursday, November 3, 2016 1:35 AM
To: [email-masked]; [email-masked]
Cc: 'Kathleen Moriarty'
Subject: Re: [I2nsf] RFC or not RFC in I2NSF?

Regards,
John

-----Original Message-----
From: I2nsf [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: Wednesday, November 02, 2016 11:42 AM
To: [email-masked]
Cc: 'Kathleen Moriarty' <[email-masked]>
Subject: [I2nsf] RFC or not RFC in I2NSF?

Hi,

We have a charter action and milestone to decide whether to publish our work

cases,

We had some (light) conversations on the list and arrived at the following
position, I think. This is your chance to scream if you disagree -
otherwise, this is the email of record documenting our plan.

use cases

framework

information model

examination of existing secure communication mechanisms Aim to add this to
draft-ietf-i2nsf-client-facing-interface-req-00
Pursue publication

terminology

Cheers,
Adrian